#!/bin/sh
exe="./main.exe"
nbr_methods=`$exe -2 | grep "^number of methods" | cut -d'=' -f2`
k=`expr $nbr_methods - 1`
methods=`seq 0 $k`

sizes=`cat sizes.param.txt`
 
# do not modify script after this line

rm -rf results_method_*.csv
rm -rf results_method_*.data

cpu=`cat /proc/cpuinfo | grep "model name" | uniq | cut -d':' -f2`
echo "CPU: $cpu"

# generate data
for method in $methods ; 
do
	method_name=`$exe -2 | grep "^method $method=" | cut -d'=' -f2`
	echo "$method_name"
	output="results_method_$method.csv"
	echo "# CPU: $cpu" > $output
	for size in $sizes; 
	do
		time $exe $method $size >stdout.txt 2>stderr.txt
		t=`cat stderr.txt | grep "user" | cut -d'u' -f1`
		echo "$method ; $size ; $t" >> $output
		echo "$method ; $size ; $t"
	done	
done

